Bug 12414 - Trying to upgrade a debian system fails and cause reboot...
Trying to upgrade a debian system fails and cause reboot...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-18 09:20 EDT by Stelian Pop
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 15:02:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stelian Pop 2000-06-18 09:20:08 EDT
Selecting 'upgrade system' (on a disk containing a debian potato
installation) gives the python traceback:

Traceback (innermost last):
  File "/usr/lib/anaconda/gui.py" line 176 in run 
    mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2538 in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125 in __call__ 
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 408, in nextClicked 
    next = self.currentScreen.getNext()
  File "/usr/lib/anaconda/iw/examine_gui.py", line 21, in getNext
    self.todo.upgradeFindPackages (self.root)
  File "/usr/lib/anaconda/todo.py", line 771, in upgradeFindPackages
    fstab.readFstab('/mnt/sysimage/etc/fstab', self.fstab)
  File "/usr/lib/anaconda/fstab.py", line 913, in readFstab
    if fields[0] == "#" and fields[1][0:4] == "LOOP":
IndexError: list index out of range

After clicking OK in the python traceback dialog, the system reboots (it
should get back to the upgrade/install selection, no ?).

The fstab in question contains:
# /etc/fstab: static filesystem information.
#
# <file system> <mount point>	<type>	<options>	<dump>	<pass>
/dev/hda2	/		ext2	defaults,errors=remount-ro	0	1
/dev/hda1	none		swap	sw		0	0
proc		/proc		proc	defaults	0	0
/dev/fd0	/floppy		auto	defaults,user,noauto	0	0
/dev/cdrom	/cdrom		iso9660	defaults,ro,user,noauto	0	0

Stelian.
Comment 1 Glen Foster 2000-07-30 13:58:44 EDT
Does this behavior still happen with Pinstripe (beta-5)?
Comment 2 Michael Fulbright 2000-08-17 17:14:49 EDT
Please reopen if you continue to have problems.
Comment 3 Stelian Pop 2000-08-18 14:03:54 EDT
Sorry to say that this is not fixed in RC1.

The error is not the same though:

I boot with 'linux updates', choose 'upgrade an existing system', and the
installer passes
the steps 'finding a previous RedHat installation' and gives up when 'finding
the packages
to upgrade' with a 'Rebuild of RPM database failed. You may be out of disk
space' (which
is false, btw).

I can also see a partial error on the blue screen behind the dialog box  saying
'...open
Packages index'.

The debian system is the same as in the original bug report.

Comment 4 Trond Eivind Glomsrxd 2000-08-18 17:54:35 EDT
It doesn't have /etc/redhat-release, right?
Comment 5 Stelian Pop 2000-08-19 10:03:46 EDT
No, it has a /etc/debian-release instead :)

Stelian.

Note You need to log in before you can comment on or make changes to this bug.